ghc-7.6.3: The GHC API

Safe Haskell | None

CmmProcPoint

# Documentation

type ProcPointSet = BlockSet

data Status

Constructors

ReachedBy ProcPointSet |
ProcPoint |

Instances

Outputable Status |

callProcPoints :: CmmGraph -> ProcPointSet

minimalProcPointSet :: Platform -> ProcPointSet -> CmmGraph -> UniqSM ProcPointSet

splitAtProcPoints :: CLabel -> ProcPointSet -> ProcPointSet -> BlockEnv Status -> CmmDecl -> UniqSM [CmmDecl]

procPointAnalysis :: ProcPointSet -> CmmGraph -> UniqSM (BlockEnv Status)